Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Class ChangeAuthor

    java.lang.Object
      com.atlassian.bamboo.author.ChangeAuthor

All Implemented Interfaces:
  Author, Comparable

    public class ChangeAuthor

extends Object
implements Author

Constructor Summary
`ChangeAuthor(String name)`

Method Summary
`void` | `addTriggeredBuildResult(BuildResultsSummary buildResultsSummary)`
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`List` | `getBreakages()` Get the build results broken by the author.
`List` | `getFailedBuilds()` Gets all the builds triggered by the author that failed.
`List` | `getFixes()` Get the build results fixed by the author A build is deemed fixed by the author if the build they triggered was succesful and the previous one failed.
`String` | `getFullName()` Get a full name for display purposes
`String` | `getName()` Unique name identifying an author.
`List` | `getSuccessfulBuilds()` Gets all the builds triggered by the author that was successful.
`List` | `getTriggeredBuildResults()` Gets all builds tirggered by the author
`int` | `hashCode()`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeAuthor

    public ChangeAuthor(String name)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Author`
  Unique name identifying an author.

  Specified by:
    `getName` in interface `Author`
  Returns:
    identifying alias

### setName

    public void setName(String name)

### getFullName

    public String getFullName()

  Description copied from interface: `Author`
  Get a full name for display purposes

  Specified by:
    `getFullName` in interface `Author`
  Returns:

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getBreakages

    public List getBreakages()

  Description copied from interface: `Author`
  Get the build results broken by the author. A build is deemed broken by the author if the build they triggered failed and the previous one was succesful.

  Specified by:
    `getBreakages` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### getFixes

    public List getFixes()

  Description copied from interface: `Author`
  Get the build results fixed by the author A build is deemed fixed by the author if the build they triggered was succesful and the previous one failed.

  Specified by:
    `getFixes` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### getFailedBuilds

    public List getFailedBuilds()

  Description copied from interface: `Author`
  Gets all the builds triggered by the author that failed.

  Specified by:
    `getFailedBuilds` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### getSuccessfulBuilds

    public List getSuccessfulBuilds()

  Description copied from interface: `Author`
  Gets all the builds triggered by the author that was successful.

  Specified by:
    `getSuccessfulBuilds` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### getTriggeredBuildResults

    public List getTriggeredBuildResults()

  Description copied from interface: `Author`
  Gets all builds tirggered by the author

  Specified by:
    `getTriggeredBuildResults` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### addTriggeredBuildResult

    public void addTriggeredBuildResult(BuildResultsSummary buildResultsSummary)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.